import request from '@/utils/request'

export function save(data) {
  return request({
    url: '/api/admin/task/report-save',
    method: 'post',
    data
  })
}

export function listdept(params) {
  return request({
    url: '/api/admin/task/report-index',
    method: 'get',
    params: params
  })
}
export function get(safety_task_department_id) {
  return request({
    url: '/api/admin/task/report-show',
    method: 'get',
    params: {
      safety_task_department_id
    }
  })
}

export function submitsave(data) {
  return request({
    url: '/api/admin/task/report-submit',
    method: 'post',
    data
  })
}
